#!/bin/bash
# 02.05.2000 by Anton Anisimov <aa@bestlinux.net>
# Script for executing SOT Office
# Last update: 07.02.2002 by Anton Anisimov
# Let`s keep old long path commented: SOTO_SEARCH_PATH="/home /usr /opt /sbin"
SOTO_SEARCH_PATH="/usr/bin /opt"

function check_SOTO_working_path() {
if [  -f $HOME/.SOT_OFFICE_PATH -a -d "`cat $HOME/.SOT_OFFICE_PATH`" ]; then
	WorkingPath=`cat $HOME/.SOT_OFFICE_PATH`
#	echo "[ Default path file found ]"
else
#	echo "[ Default path file not found ]"
	DefaultPath="$HOME/SOT Office1.0b"
	if [ -d "$DefaultPath" ]; then
# Searching in default SOTO path
	#	echo "[ Found ]"
		WorkingPath="$DefaultPath"
	else
	#	echo "[ Not found ]"
# Searching in user home path, working only for not hide directories like .something
		DefaultPath=`find $HOME -path '*/soffice' -type l -user $USER | sed -e 's/\/soffice//' 3>/dev/null`
		if [ -d "$DefaultPath" ]; then
			WorkingPath="$DefaultPath"
	#		echo "[ Found ]"
		else
# Ok now we have more exotic case, searching in /
			DefaultPath=`find $SOTO_SEARCH_PATH -path '*/soffice' -type l -user $USER | sed -e 's/\/soffice//' 3>/dev/null`
        		if [ -d "$DefaultPath" ]; then
                		WorkingPath="$DefaultPath"
	#	               	echo "[ Found ]"
			else
# Else unable to find anything choose setup default path
				WorkingPath="/opt/SOTO/setup"
			fi

		fi
	fi
fi
}

check_SOTO_working_path

echo "<$WorkingPath>"
if  [ "$WorkingPath" != "/opt/SOTO/setup" ]; then
	if [ ! -f $HOME/.SOT_OFFICE_PATH ]; then
		echo $WorkingPath > $HOME/.SOT_OFFICE_PATH
	fi
	cd "$WorkingPath"
	./soffice
else
	/opt/SOTO/setup

	check_SOTO_working_path

#	if test -f /usr/bin/soffice_rus.sh; then
#		/usr/bin/soffice_rus.sh
#	fi
	if test -f /opt/SOTO/oo.scripts/swriter; then
		cp  /opt/SOTO/oo.scripts/* "$WorkingPath/program/"
	fi
	if test -f /opt/SOTO/addon/README.TXT; then
                cp -r /opt/SOTO/addon/dict/*  $HOME//share/dict/
        fi
	if test -f "$WorkingPath/soffice"; then
		cd "$WorkingPath"
		./soffice
	fi

fi

